> ## Documentation Index
> Fetch the complete documentation index at: https://safepay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Refund

> Explore a refund in detail.



## OpenAPI

````yaml get /v1/aggregators/{raast-aggregator-id}/refunds/{refund-id}
openapi: 3.1.0
info:
  title: Raast Wire
  version: 1.0.0
  description: ''
servers:
  - url: https://api.getsafepay.com/raastwire
security: []
tags:
  - name: Aggregators
  - name: Access Keys
  - name: Merchants
  - name: Raast Merchants
  - name: Payments
  - name: Refunds
  - name: QRs
  - name: Utilities
  - name: Aliases
  - name: Ledgers
  - name: Webhooks
paths:
  /v1/aggregators/{raast-aggregator-id}/refunds/{refund-id}:
    parameters:
      - $ref: '#/components/parameters/AggregatorIdParam'
      - $ref: '#/components/parameters/RefundIdParam'
    get:
      tags:
        - Refunds
      summary: Find Refund
      description: Explore a refund in detail.
      responses:
        '200':
          $ref: '#/components/responses/FindRefundResponse'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - apiKey: []
components:
  parameters:
    AggregatorIdParam:
      name: raast-aggregator-id
      in: path
      required: true
      schema:
        type: string
        example: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
      description: The unique identifier for the aggregator
    RefundIdParam:
      name: refund-id
      in: path
      required: true
      schema:
        type: string
        example: rfd_7e26f9be-f59d-4025-8e17-9fc398d16230
      description: The unique identifier for the refund
  responses:
    FindRefundResponse:
      description: This response contains details of a refund
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/StandardResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Refund'
          examples:
            RefundFound:
              value:
                api_version: v1
                data:
                  id: '1'
                  token: rfd_2dd0b5e5-ee12-4ff9-b76d-ef915ea496f3
                  payment_id: pm_54b6bcee-aa58-454d-aed9-ce97d6bdd797
                  amount: '500'
                  type: FULL_REFUND
                  reason: TechnicalProblem
                  addtl_info: Cancelation due to technical problem.
                  status: R_FAILED
                  trace_reference: f8cdffe4-cdf1-4f1a-a509-5c2fdfa95809
                  msg_id: F3CJ6HG8UPVYPQBBN286T86Y988MUF95TXQ
                  return_id: F3CJ6HG8UPVYPQBBN286T86Y988MUF95TXQ
                  request_id: ad16c519-a18c-493c-a402-f3bf4cb7f3c1
                  msg_created_at: '2025-05-20 16:10:53.'
                  settle_at: null
                  created_at: '2025-05-20T11:10:53Z'
                  updated_at: '2025-05-20T11:10:54Z'
    InternalError:
      description: Internal server error response
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
          examples:
            InternalServerError:
              value:
                api_version: v1
                error:
                  code: error.internal_server_error
                  message: rpc error code Internal desc = something went wrong
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        api_version:
          type: string
          example: v1
          description: The current version of the API spec
        data:
          type: object
          description: Contains the response data
    Refund:
      type: object
      properties:
        token:
          type: string
        payment_id:
          type: string
        amount:
          type: string
        type:
          type: string
        reason:
          type: string
        addtl_info:
          type: string
        status:
          type: string
        trace_reference:
          type: string
        msg_id:
          type: string
        return_id:
          type: string
        request_id:
          type: string
        msg_created_at:
          $ref: '#/components/schemas/Timestamp'
        settle_at:
          nullable: true
        created_at:
          $ref: '#/components/schemas/Timestamp'
        updated_at:
          $ref: '#/components/schemas/Timestamp'
    ApiErrorEnvelope:
      type: object
      description: Error wrapper that includes the API version and error metadata
      properties:
        api_version:
          type: string
          description: Indicates the API version associated with the response
          example: v1
        error:
          description: Structured error details describing why the request failed
          allOf:
            - $ref: '#/components/schemas/ErrorResponse'
          example:
            code: error.unauthorized_access
            message: partner access key is required in request header
    Timestamp:
      type: string
      format: date-time
      description: ISO 8601 timestamp in UTC
      example: '2025-03-13T09:12:34.000Z'
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human-readable error message
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-SFPY-AGGREGATOR-SECRET-KEY
      in: header

````